package com.qmth.distributed.print.business.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.enums.DimensionEnum;
import com.qmth.teachcloud.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 分析-模块二级考察点维度熟练度配置，及模块简要描述表
 * </p>
 *
 * @author wangliang
 * @since 2022-05-20
 */
@ApiModel(value="GradeModuleDefine对象", description="分析-模块二级考察点维度熟练度配置，及模块简要描述表")
public class GradeModuleDefine extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学校id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long schoolId;

    @ApiModelProperty(value = "试卷编号")
    private String paperNumber;

    @ApiModelProperty(value = "试卷类型")
    private String paperType;

    @ApiModelProperty(value = "试卷名称")
    private String paperName;

    @ApiModelProperty(value = "维度模块类型")
    private DimensionEnum moduleType;

    @ApiModelProperty(value = "解释")
    private String interpret;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "二级熟练度定义")
    private String define;

    @ApiModelProperty(value = "等级")
    private String level;

    @ApiModelProperty(value = "展示用最小边界")
    private String min;

    @ApiModelProperty(value = "展示用最大边界")
    private String max;

    @ApiModelProperty(value = "取值范围（计算用）")
    private String scope;

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getPaperName() {
        return paperName;
    }

    public void setPaperName(String paperName) {
        this.paperName = paperName;
    }

    public DimensionEnum getModuleType() {
        return moduleType;
    }

    public void setModuleType(DimensionEnum moduleType) {
        this.moduleType = moduleType;
    }

    public String getInterpret() {
        return interpret;
    }

    public void setInterpret(String interpret) {
        this.interpret = interpret;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getDefine() {
        return define;
    }

    public void setDefine(String define) {
        this.define = define;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getMin() {
        return min;
    }

    public void setMin(String min) {
        this.min = min;
    }

    public String getMax() {
        return max;
    }

    public void setMax(String max) {
        this.max = max;
    }

    public String getScope() {
        return scope;
    }

    public void setScope(String scope) {
        this.scope = scope;
    }
}
